> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetokb.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete article schedule

> This API deletes a scheduled action of an article. For CLI sessions, this needs the Modify articles permission.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace's subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetokb.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/articles.yaml DELETE /articles/{article_id}/schedules/{id}
openapi: 3.0.3
info:
  title: NeetoKB Articles API
  version: 1.0.0
servers:
  - description: NeetoKB API
    url: https://{your-subdomain}.neetokb.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
paths:
  /articles/{article_id}/schedules/{id}:
    delete:
      summary: Delete article schedule
      description: >-
        This API deletes a scheduled action of an article. For CLI sessions,
        this needs the Modify articles permission.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/article_id_param'
        - in: path
          name: id
          description: >-
            Unique identifier of the schedule. Get it from [List article
            schedules](/api/articles/list-schedules).
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK - Schedule deleted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/notice_code_response'
        '401':
          $ref: '#/components/responses/unauthorized_response'
        '403':
          $ref: '#/components/responses/forbidden_response'
        '404':
          $ref: '#/components/responses/not_found_response'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    article_id_param:
      in: path
      name: article_id
      description: >-
        Unique identifier of the article. Can be the article's slug, permalink,
        or ID. Refer to [Getting the Article ID](/api/getting-article-id)
        section for detailed instructions.
      required: true
      schema:
        type: string
  schemas:
    notice_code_response:
      type: object
      properties:
        notice_code:
          type: string
          example: thumbs_up
  responses:
    unauthorized_response:
      description: Unauthorized - API key is missing or invalid
    forbidden_response:
      description: >-
        Forbidden - The CLI session does not have the permission this change
        needs
    not_found_response:
      description: Not Found - The record does not exist in this workspace
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Not found.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.